//
//  XTHtmlTagHr.m
//  TadsTerp
//
//  Created by Rune Berg on 22/05/14.
//  Copyright (c) 2014 Rune Berg. All rights reserved.
//

#import "XTHtmlTagHr.h"
#import "XTOutputFormatterProtocol.h"


@implementation XTHtmlTagHr

+ (NSString *)name
{
	return @"hr";
}

+ (BOOL)standalone
{
	return YES;
}

+ (BOOL)blockLevel
{
	return YES;
}

- (NSArray *)dispatchToFormatter:(NSObject<XTOutputFormatterProtocol> *)formatter
{
	return [formatter handleHtmlTagHr:self];
}

@end
